diff -Naur plt/src/Makefile.in plt.destdir/src/Makefile.in
--- plt/src/Makefile.in	2006-06-20 16:27:58.000000000 +0200
+++ plt.destdir/src/Makefile.in	2006-06-21 13:21:57.000000000 +0200
@@ -37,8 +37,8 @@
 	$(MAKE) setup-plt
 
 install-normal:
-	mkdir -p $(ALLDIRINFO)
-	if [ ! -d $(prefix) ] ; then mkdir $(prefix) ; fi
+	mkdir -p $(addprefix $(DESTDIR), $(ALLDIRINFO))
+	if [ ! -d  $(DESTDIR)$(prefix) ] ; then mkdir  $(DESTDIR)$(prefix) ; fi
 	$(MAKE) mzinstall
 	$(MAKE) mredinstall-stub
 	$(MAKE) copytree-stub
@@ -49,7 +49,7 @@
 mredinstall-stub: @MAKE_MREDINSTALL@
 
 setup-plt:
-	$(prefix)/bin/mzscheme -mvqM setup
+	$(DESTDIR)$(bindir)/mzscheme -mvq -X $(DESTDIR)$(libpltdir)/collects -M setup
 
 plain-install-3m:
 	$(MAKE) install-normal
@@ -98,4 +98,4 @@
 
 copytree:
 	mzscheme/mzscheme -mvqu "$(srcdir)/copytree.ss" \
-          "$(srcdir)/.." $(ALLDIRINFO) @INSTALL_ORIG_TREE@
+          "$(srcdir)/.." $(addprefix $(DESTDIR), $(ALLDIRINFO)) @INSTALL_ORIG_TREE@
diff -Naur plt/src/mred/Makefile.in plt.destdir/src/mred/Makefile.in
--- plt/src/mred/Makefile.in	2006-06-21 09:19:38.000000000 +0200
+++ plt.destdir/src/mred/Makefile.in	2006-06-20 16:17:45.000000000 +0200
@@ -236,16 +236,16 @@
 	echo "no dynamic libs"
 
 install-lib:
-	cd ..; $(ICP) mred/libmred.@LIBSFX@ "$(libdir)"
+	cd ..; $(ICP) mred/libmred.@LIBSFX@ "$(DESTDIR)$(libdir)"
 
 install_wx_xt:
-	cd ..; if [ ! -d "$(bindir)" ] ; then mkdir "$(bindir)" ; fi
-	cd ..; rm -f "$(bindir)/mred"
+	cd ..; if [ ! -d "$(DESTDIR)$(bindir)" ] ; then mkdir "$(DESTDIR)$(bindir)" ; fi
+	cd ..; rm -f "$(DESTDIR)$(bindir)/mred"
 	$(MAKE) @MRLIBINSTALL@
-	cd ..; $(ICP) mred/mred "$(bindir)"
-	$(MZSCHEME) -mvqu "$(srcdir)/../mzscheme/collects-path.ss" "$(prefix)/bin/mred@EXE_SUFFIX@" @COLLECTS_PATH@
+	cd ..; $(ICP) mred/mred "$(DESTDIR)$(bindir)"
+	$(MZSCHEME) -mvqu "$(srcdir)/../mzscheme/collects-path.ss" "$(DESTDIR)$(bindir)/mred@EXE_SUFFIX@" @COLLECTS_PATH@
 
-BUILDINFO=$(libpltdir)/buildinfo
+BUILDINFO=$(DESTDIR)$(libpltdir)/buildinfo
 
 MRFWDIR = @FRAMEWORK_INSTALL_DIR@/PLT_MrEd.framework
 
diff -Naur plt/src/mzscheme/Makefile.in plt.destdir/src/mzscheme/Makefile.in
--- plt/src/mzscheme/Makefile.in	2006-05-24 21:29:58.000000000 +0200
+++ plt.destdir/src/mzscheme/Makefile.in	2006-06-20 16:12:12.000000000 +0200
@@ -214,7 +214,7 @@
 	$(MAKE) $(srcdir)/src/mzmark.c
 
 headers:
-	./mzscheme -qr $(srcdir)/mkincludes.ss "$(includepltdir)" "$(srcdir)" .
+	./mzscheme -qr $(srcdir)/mkincludes.ss "$(DESTDIR)$(includepltdir)" "$(srcdir)" .
 	$(MAKE) $(srcdir)/../../collects/mzscheme/lib/mzdyn.c
 
 # mzdyn.c, used for MacOS "library"
@@ -289,21 +289,21 @@
 
 unix-install:
 	cd ..; rm -f $(bindir)/mzscheme
-	cd ..; $(ICP) mzscheme/libmzgc.@LIBSFX@ "$(libdir)/libmzgc.@LIBSFX@"
-	cd ..; $(ICP) mzscheme/libmzscheme.@LIBSFX@ "$(libdir)/libmzscheme.@LIBSFX@"
-	cd ..; $(ICP) mzscheme/mzscheme "$(bindir)/mzscheme"
-	cd ..; cp mzscheme/starter "$(libpltdir)/starter"
-	./mzscheme -mvqu "$(srcdir)/collects-path.ss" "$(bindir)/mzscheme@EXE_SUFFIX@" @COLLECTS_PATH@
-	cd ..; echo 'CC=@CC@' > $(BUILDINFO)
-	cd ..; echo 'CFLAGS=@CFLAGS@ @PREFLAGS@ @COMPFLAGS@' >> $(BUILDINFO)
-	cd ..; echo 'OPTIONS=@OPTIONS@' >> $(BUILDINFO)
-	cd ..; echo 'MZOPTIONS=@MZOPTIONS@' >> $(BUILDINFO)
-	cd ..; echo "LDFLAGS=@LDFLAGS@" >> $(BUILDINFO)
-	cd ..; echo 'LIBS=@LIBS@' >> $(BUILDINFO)
+	cd ..; $(ICP) mzscheme/libmzgc.@LIBSFX@ "$(DESTDIR)$(libdir)/libmzgc.@LIBSFX@"
+	cd ..; $(ICP) mzscheme/libmzscheme.@LIBSFX@ "$(DESTDIR)$(libdir)/libmzscheme.@LIBSFX@"
+	cd ..; $(ICP) mzscheme/mzscheme "$(DESTDIR)$(bindir)/mzscheme"
+	cd ..; cp mzscheme/starter "$(DESTDIR)$(libpltdir)/starter"
+	./mzscheme -mvqu "$(srcdir)/collects-path.ss" "$(DESTDIR)$(bindir)/mzscheme@EXE_SUFFIX@" @COLLECTS_PATH@
+	cd ..; echo 'CC=@CC@' > $(DESTDIR)$(BUILDINFO)
+	cd ..; echo 'CFLAGS=@CFLAGS@ @PREFLAGS@ @COMPFLAGS@' >> $(DESTDIR)$(BUILDINFO)
+	cd ..; echo 'OPTIONS=@OPTIONS@' >> $(DESTDIR)$(BUILDINFO)
+	cd ..; echo 'MZOPTIONS=@MZOPTIONS@' >> $(DESTDIR)$(BUILDINFO)
+	cd ..; echo "LDFLAGS=@LDFLAGS@" >> $(DESTDIR)$(BUILDINFO)
+	cd ..; echo 'LIBS=@LIBS@' >> $(DESTDIR)$(BUILDINFO)
 
 normal-install:
 	$(MAKE) unix-install
-	cd ..; cp mzscheme/mzdyn.o "$(libpltdir)/mzdyn.o"
+	cd ..; cp mzscheme/mzdyn.o "$(DESTDIR)$(libpltdir)/mzdyn.o"
 
 MZFWDIR = @FRAMEWORK_INSTALL_DIR@/PLT_MzScheme.framework
 
